वेबसाइटें
GET https://zmega-dev.ru/api/websites/
curl --request GET \
--url 'https://zmega-dev.ru/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zmega-dev.ru/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| पैरामीटर्स | विवरण | विवरण |
|---|---|---|
| page | वैकल्पिक इंटीजर | पेज नंबर। डिफ़ॉल्ट 1 है। |
| results_per_page | वैकल्पिक इंटीजर | प्रति पेज परिणाम। अनुमत मान: 10 , 25 , 50 , 100 , 250 , 500 , 1000। डिफ़ॉल्ट: 25। |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-02-25 03:05:40",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zmega-dev.ru/api/websites?page=1",
"last": "https://zmega-dev.ru/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://zmega-dev.ru/api/websites?page=1"
}
}
GET https://zmega-dev.ru/api/websites/{website_id}
curl --request GET \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-02-25 03:05:40",
}
}
POST https://zmega-dev.ru/api/websites/{website_id}
| पैरामीटर्स | विवरण | विवरण |
|---|---|---|
| domain_id | वैकल्पिक इंटीजर | - |
| password | वैकल्पिक स्ट्रिंग | - |
| is_public | वैकल्पिक बूलियन | - |
| audit_check_interval | वैकल्पिक इंटीजर | अनुमत मान: {empty_string},21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (सेकंड) |
| notifications | वैकल्पिक ऐरे | सूचना हैंडलर आईडी |
| directory_is_enabled_and_verified | वैकल्पिक बूलियन | - |
curl --request POST \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{
"data": {
"id": 1
}
}
DELETE https://zmega-dev.ru/api/websites/{website_id}
curl --request DELETE \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \